library(sf)
#Modifica esta dirección de donde pongas tu archivo shapefile
CR_data<-read_sf( "E:/2021/Curso Nueva Ruralidad con Información Geográfica/Día 5/CostaRica_final.shp")

CR_data$logpobtot <- log(CR_data$PobxCanton)
CR_data$ldensidad <- log(CR_data$DensxCanto)

CR_data$Mldensidad= max(CR_data$ldensidad) 
CR_data$mldensidad=min(CR_data$ldensidad)
CR_data$xldensidad=  (CR_data$Mldensidad - CR_data$ldensidad)/(CR_data$Mldensidad-CR_data$mldensidad)


CR_data$Mlogpobtot <- max(CR_data$logpobtot) 
CR_data$mlogpobtot=min(CR_data$logpobtot)
CR_data$xlogpobtot= (CR_data$Mlogpobtot - CR_data$logpobtot)/(CR_data$Mlogpobtot-CR_data$mlogpobtot)

CR_data$Mpersuelurb= max(CR_data$PerUrbCan)
CR_data$mpersuelurb= min(CR_data$PerUrbCan)
CR_data$xpersuelurb=(CR_data$Mpersuelurb-CR_data$PerUrbCan)/(CR_data$Mpersuelurb-CR_data$mpersuelurb) 

CR_data$Mhubdist_min= max(CR_data$DistPond)
CR_data$mhubdist_min= min(CR_data$DistPond)
CR_data$xhubdist_min= 1-(CR_data$Mhubdist_min - CR_data$DistPond) /(CR_data$Mhubdist_min-CR_data$mhubdist_min)


CR_data$IRR = ((CR_data$xlogpobtot^.25)*(CR_data$xldensidad^.25)*(CR_data$xpersuelurb^.25)*(CR_data$xhubdist_min^.25))

#Guardar shapefile y hay que cambiar la dirección de donde se encuentra tu folder del ejercicio
st_write(CR_data, "E:/2021/Curso Nueva Ruralidad con Información Geográfica/Día 5/CR_IRR_final.shp")

#Herramienta LEAFLET para generar mapa interactivos
library(leaflet)

bins <- c(0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1)
pal <- colorBin("viridis", domain = CR_data$IRR, bins = bins, reverse = TRUE)

#1er Mapa
map_categIRR <- leaflet(CR_data) %>%
  addTiles() %>%
  addPolygons( weight = 0.1,  stroke = TRUE, 
               opacity = 1.0, fillOpacity = 0.8,
               fillColor = ~pal(IRR),  color = "black"  )

map_categIRR
